%define api		2.0
%define major		0

Name:           at-spi2-atk
Version:        2.26.2
Release:        %mkrel 1
Summary:        A GTK+ module that bridges ATK to D-Bus at-spi
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
#--------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atspi-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}glib2.0-devel
#--------------------------------------
BuildRequires:  intltool
Requires:       at-spi2-core
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: at-spi < %version-%release
Obsoletes: python-at-spi < %version-%release


%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.


%package devel
Summary: Stuff for developing with atk
Group: Development/Libraries
Requires: %name

%description devel
This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.


%prep
%setup -q

%build
%configure2_5x --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std

find %{buildroot} -name '*.la' -delete


%find_lang %name

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,-)
%doc AUTHORS README
%doc AUTHORS README
%_libdir/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop
%_libdir/gtk-2.0/modules/libatk-bridge.so
#%_datadir/glib-2.0/schemas/org.a11y.atspi.gschema.xml
%_libdir/libatk-bridge-%{api}.so.%{major}
%_libdir/libatk-bridge-%{api}.so.%{major}.*

%files devel
%defattr(-,root,root,-)
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*

%changelog
* Sun Jul 22 2018 adrianomorselli <adrianomorselli> 2.26.2-1uplos2018
- update
